Bug 443417 - requestor email doesn't make it to the mail
requestor email doesn't make it to the mail
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: CA (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-04-21 09:55 EDT by Johannes Russek
Modified: 2015-01-04 18:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:28:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (2.19 KB, patch)
2009-02-11 14:27 EST, Ade Lee
no flags Details | Diff

  None (edit)
Description Johannes Russek 2008-04-21 09:55:58 EDT
Description of problem:

even though a requestor email has been entered during certificate request, the
email shows 'requestor email is VALUE UNKNOWN.'

Version-Release number of selected component (if applicable):

1.0

How reproducible:

enter email address during request, watch dogtag generated email to the agent.

Expected results:

it should show the email that was entered during request.
Comment 2 Ade Lee 2009-02-11 14:27:52 EST
Created attachment 331612 [details]
patch to fix

Problem was that the subject name email was used for the requestor email instead.
Fix as discussed attached.

cfu, please review
Comment 3 Christina Fu 2009-02-11 19:26:43 EST
cfu+
Comment 4 Ade Lee 2009-02-11 20:14:58 EST
[builder@dhcp231-124 pki]$ svn ci -m "Bugzilla BZ 443413, 443417"
Sending        base/ca/shared/emails/certIssued_CA
Sending        base/ca/shared/emails/certIssued_CA.html
Sending        base/ca/shared/emails/reqInQueue_CA
Sending        base/ca/shared/emails/reqInQueue_CA.html
Sending        base/common/src/com/netscape/cms/listeners/RequestInQListener.java
Sending        dogtag/ca/pki-ca.spec
Sending        dogtag/common/pki-common.spec
Transmitting file data .......
Committed revision 224.
Comment 5 Jenny Galipeau 2009-06-23 11:20:36 EDT
Verified:

Configured SMTP mail server
Enabled Issue Notification
Requested Dual-use Certificate
   Request did not include email in the Subject Name.
   Defined Requestor email
Following email was received upon approval:


An automatically generated notification from ca
Your certificate request has been processed successfully.

SubjectDN= UID=jgalipea,CN=Jenny Galipeau,OU=people,O=redhat
IssuerDN= CN=Certificate Authority,O=redhat
notAfter= Dec 20, 2009 10:16:11 AM
notBefore= Jun 23, 2009 11:16:11 AM
Serial Number= 0xc

To get your certificate, please follow this URL Please contact your admin if there is any problem.

Note You need to log in before you can comment on or make changes to this bug.